#### Beyond Linux® From Scratch (System V Edition) - Version r12.4-737

### Chapter 10. Graphics and Font Libraries

- Prev

  libgxps-0.3.2

- Next

  libjpeg-turbo-3.0.1

- Up
- Home

# libheif-1.20.2

## Introduction to libheif

The libheif package is an HEIF and AVIF file format decoder and encoder.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/strukturag/libheif/releases/download/v1.20.2/libheif-1.20.2.tar.gz

- Download MD5 sum: 5d0442f7197a34b7aaf95bdffabb51e9

- Download size: 1.8 MB

- Estimated disk space required: 31 MB

- Estimated build time: 1.0 SBU

### libheif Dependencies

#### Recommended

libaom-3.13.1, libde265-1.0.16, and x265-4.1

#### Optional

Brotli-1.2.0, dav1d-1.5.2, Doxygen-1.15.0, FFmpeg-8.0.1, gdk-pixbuf-2.44.4, libjpeg-turbo-3.0.1, libpng-1.6.52, libtiff-4.7.1, libwebp-1.6.0, OpenJPEG-2.5.4, sdl2-compat-2.32.60, SVT-AV1-3.1.2, kvaaar, openh264, openjph, uvg266, vvdec, vvenc, and rav1e

## Installation of libheif

Install libheif by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -G Ninja ..                  &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D DAV1D=ON`: This option allows using dav1d-1.5.2 to decode AV1 data in AVIF files.

`-D FFMPEG_DECODER=ON`: This option allows using FFmpeg-8.0.1 to decode H.265 data in HEIC files.

`-D JPEG_ENCODER=ON -D JPEG_DECODER=ON`: These options allow using libjpeg-turbo-3.0.1 to encode and decode HEIF files with JPEG data.

`-D OpenJPEG_ENCODER=ON -D OpenJPEG_DECODER=ON`: These options allow using OpenJPEG-2.5.4 to encode and decode HEIF files with JPEG 2000 data.

`-D SvtEnc=ON`: This option allows using SVT-AV1-3.1.2 to encode AV1 data for AVIF files.

## Contents

Installed Programs: heif-convert (symlink to heif-dec), heif-dec, heif-enc, heif-info, heif-thumbnailer (if libpng is available), and heif-view (if SDL2 is available)
Installed Library: libheif.so
Installed Directory: /usr/include/libheif, /usr/lib/cmake/libheif, and /usr/lib/cmake/libheif

### Short Descriptions

heif-dec | decodes a HEIC/HEIF image
heif-enc | converts an image to HEIC/HEIF
heif-info | shows information about a HEIC/HEIF file
heif-thumbnailer | creates thumbnails from HEIC/HEIF files
heif-view | displays an image in HEIC/HEIF format with SDL2
`libheif.so` | is an ISO/IEC 23008-12:2017 HEIF and AVIF (AV1 Image File Format) file format decoder and encoder

- Prev

  libgxps-0.3.2

- Next

  libjpeg-turbo-3.0.1

- Up
- Home